onEvent('recipes', event => {

  // basic_item_pipe
  event.remove({ output: 'refinedpipes:basic_item_pipe' })
  event.shaped('4x refinedpipes:basic_item_pipe', [
    " A ",
    "BCB",
    " A "
  ], {
    A: '#forge:chests/wooden',
    B: '#forge:glass',
    C: 'kubejs:gelatum'
  })
  // basic_fluid_pipe
  event.remove({ output: 'refinedpipes:basic_fluid_pipe' })
  event.shaped('4x refinedpipes:basic_fluid_pipe', [
    "   ",
    "BCB",
    "   "
  ], {
    B: '#forge:glass',
    C: 'kubejs:gelatum'
  })
    // basic_energy_pipe
  event.remove({ output: 'refinedpipes:basic_energy_pipe' })
  event.shaped('4x refinedpipes:basic_energy_pipe', [
    " A ",
    "BCB",
    " A "
  ], {
    A: 'minecraft:redstone',
    B: '#forge:glass',
    C: 'kubejs:gelatum'
  })


 // improved_item_pipe
  event.remove({ output: 'refinedpipes:improved_item_pipe' })
  event.shaped('refinedpipes:improved_item_pipe', [
    " A ",
    "BCB",
    " A "
  ], {
    A: 'kubejs:gelatum',
    B: '#forge:glass',
    C: 'refinedpipes:basic_item_pipe'
  })

 // improved_fluid_pipe
  event.remove({ output: 'refinedpipes:improved_fluid_pipe' })
  event.shaped('refinedpipes:improved_fluid_pipe', [
    " A ",
    "BCB",
    " A "
  ], {
    A: 'kubejs:gelatum',
    B: '#forge:glass',
    C: 'refinedpipes:basic_fluid_pipe'
  })
 // improved_energy_pipe
  event.remove({ output: 'refinedpipes:improved_energy_pipe' })
  event.shaped('refinedpipes:improved_energy_pipe', [
    " A ",
    "BCB",
    " A "
  ], {
    A: 'kubejs:gelatum',
    B: '#forge:glass',
    C: 'refinedpipes:basic_energy_pipe'
  })
  
 // advanced_item_pipe
  event.remove({ output: 'refinedpipes:advanced_item_pipe' })
  event.shaped('refinedpipes:advanced_item_pipe', [
    " A ",
    "BCB",
    " A "
  ], {
    A: 'kubejs:gelatum',
    B: 'extendedcrafting:black_iron_ingot',
    C: 'refinedpipes:improved_item_pipe'
  })

// advanced_fluid_pipe
  event.remove({ output: 'refinedpipes:advanced_fluid_pipe' })
  event.shaped('refinedpipes:advanced_fluid_pipe', [
    " A ",
    "BCB",
    " A "
  ], {
    A: 'kubejs:gelatum',
    B: 'extendedcrafting:black_iron_ingot',
    C: 'refinedpipes:improved_fluid_pipe'
  })

 // advanced_energy_pipe
  event.remove({ output: 'refinedpipes:advanced_energy_pipe' })
  event.shaped('refinedpipes:advanced_energy_pipe', [
    " A ",
    "BCB",
    " A "
  ], {
    A: 'kubejs:gelatum',
    B: 'extendedcrafting:black_iron_ingot',
    C: 'refinedpipes:improved_energy_pipe'
  })



 // item_pipe
  event.remove({ output: 'pipez:item_pipe' })
  event.shaped('8x pipez:item_pipe', [
    " A ",
    "BCB",
    " A "
  ], {
    A: 'kubejs:gelatum',
    B: 'occultism:otherstone_tablet',
    C: 'refinedpipes:advanced_item_pipe'
  })


// fluid_pipe
  event.remove({ output: 'pipez:fluid_pipe' })
  event.shaped('8x pipez:fluid_pipe', [
    " A ",
    "BCB",
    " A "
  ], {
    A: 'kubejs:gelatum',
    B: 'occultism:otherstone_tablet',
    C: 'refinedpipes:advanced_fluid_pipe'
  })

 // energy_pipe
  event.remove({ output: 'pipez:energy_pipe' })
  event.shaped('8x pipez:energy_pipe', [
    " A ",
    "BCB",
    " A "
  ], {
    A: 'kubejs:gelatum',
    B: 'occultism:otherstone_tablet',
    C: 'refinedpipes:advanced_energy_pipe'
  })




});
